<template>
  <div class="hashrate">
    <IndexHeader></IndexHeader>
    <Banner></Banner>
    <Flow></Flow>
    <Footer></Footer>
  </div>
</template>

<script>
import IndexHeader from "@/components/IndexHeader";
import Banner from "@/views/hashrate/components/Banner";
import Flow from "@/views/hashrate/components/Flow";
import Footer from "@/components/Footer";

export default {
  components: {
    IndexHeader,
    Banner,
    Flow,
    Footer,
  },
  created() {
    this.checkpermission();
  },
  methods: {
    checkpermission() {
      const userInfo = JSON.parse(sessionStorage.getItem("userInfo"));
      const val = userInfo.permissions.find((item) => {
        return item == "analysisMng";
      });
      if (val) {
        this.$router.push("/hashrateDetail");
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.IndexHeader {
  ::v-deep .header {
    position: fixed;
    z-index: 2;
    top: 0;
    right: 0;
    left: 0;
  }
}
</style>